server:
  tomcat:
    uri-encoding: utf-8
  port: @profiles.server.port@
  servlet:
    context-path: @profiles.server.path@
spring:
  application:
    name: @project.artifactId@
  profiles:
    active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    serialization:
      WRITE_DATES_AS_TIMESTAMPS: true
    default-property-inclusion: NON_NULL
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  dao:
    exceptiontranslation:
      enabled: false
  cloud:
    nacos:
      # Nacos 作为注册中心的配置项，对应 NacosDiscoveryProperties 配置类
      discovery:
        server-addr: @profiles.nacos.server-addr@ # Nacos 服务器地址
        group: @profiles.nacos.group@
        namespace: @profiles.nacos.namespace@
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr} # Nacos 服务器地址
        group: ${spring.cloud.nacos.discovery.group}
        namespace: ${spring.cloud.nacos.discovery.namespace} # Nacos 命名空间 dev 的编号
        file-extension: yaml
mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml

application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/customer/login/login,/customer/login/logout,/securitycode/createCode,/customer/trial/save,/file/common/*,/file/preview/*,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*,/topic/*,/uploads/*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/customer/login/login,/customer/login/logout,/securitycode/createCode,/customer/trial/save,/file/common/*,/file/preview/*,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*,/topic/*,/uploads/*
token:
  head: mortal
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 60000
sms:
  smsSendUrl: @profiles.sms.smsSendUrl@
  apiId: @profiles.sms.apiId@
hik:
  host: @profiles.hik.host@
  appKey: @profiles.hik.appKey@
  protocol: @profiles.hik.protocol@
  appSecret: @profiles.hik.appSecret@
#dingtalk:
#  agentId: 2652674890
#  AppKey: dingpqzradgfr4efdi2j
#  AppSecret: bF2WALmo5_Wuj3hg5gXeWqezrYnZChUJ88HjzNWpkA9ivdOxfBDGOGYcfVRfB3vd
#  domain: https://oapi.dingtalk.com
webUrl: @profiles.webUrl@
dingtalk:
  domain: @profiles.dingtalk.domain@
  agentId: @profiles.dingtalk.agentId@
  AppKey: @profiles.dingtalk.appKey@
  AppSecret: @profiles.dingtalk.appSecret@
  AesKey: @profiles.dingtalk.aesKey@
  token: @profiles.dingtalk.token@
  oaScheme: @profiles.dingtalk.oaScheme@
  oaUrl: @profiles.dingtalk.oaUrl@
  opUserId: @profiles.dingtalk.opUserId@

